VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Macros
ausdk.mm File Reference
`#import "PublicUtility/CAAudioChannelLayout.cpp"`
`#import "PublicUtility/CABundleLocker.cpp"`
`#import "PublicUtility/CAHostTimeBase.cpp"`
`#import "PublicUtility/CAStreamBasicDescription.cpp"`
`#import "PublicUtility/CAVectorUnit.cpp"`
`#import "PublicUtility/CAAUParameter.cpp"`
`#import "AUPublic/AUBase/ComponentBase.cpp"`
`#import "AUPublic/AUBase/AUScopeElement.cpp"`
`#import "AUPublic/AUBase/AUOutputElement.cpp"`
`#import "AUPublic/AUBase/AUInputElement.cpp"`
`#import "AUPublic/AUBase/AUBase.cpp"`
`#import "AUPublic/AUCarbonViewBase/AUCarbonViewBase.cpp"`
`#import "AUPublic/AUCarbonViewBase/AUCarbonViewControl.cpp"`
`#import "AUPublic/AUCarbonViewBase/AUCarbonViewDispatch.cpp"`
`#import "AUPublic/AUCarbonViewBase/AUControlGroup.cpp"`
`#import "AUPublic/AUCarbonViewBase/CarbonEventHandler.cpp"`
`#import "AUPublic/Utility/AUTimestampGenerator.cpp"`
`#import "AUPublic/Utility/AUBuffer.cpp"`
`#import "AUPublic/Utility/AUBaseHelper.cpp"`
`#import "AUPublic/OtherBases/AUMIDIEffectBase.cpp"`
`#import "AUPublic/Utility/AUDebugDispatcher.cpp"`
`#import "AUPublic/AUBase/AUDispatch.cpp"`
`#import "AUPublic/OtherBases/MusicDeviceBase.cpp"`
`#import "AUPublic/OtherBases/AUMIDIBase.cpp"`
`#import "AUPublic/OtherBases/AUEffectBase.cpp"`

## Macros
#define | MAC_OS_X_VERSION_10_7 1070
#define | verify_noerr(x) x
#define | verify(x)

## Macro Definition Documentation

#define MAC_OS_X_VERSION_10_7 1070

#define verify_noerr | ( |  | x | ) | x

#define verify | ( |  | x | ) |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.